## tclex 1.2a1

=== src/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in
#
# This makefile builds tcLex, a lexer generator, as a dynamically
# loadable Tcl extension.  This makefile is suitable for use on
# Unix systems.
#


#
# Project setting -- version and stuff
#
# PROJECT	  -- name of the project. Used in the file and package names
# PROJECT_VERSION -- version of the project, in major.minor format
# VERSION_DEFINE  -- symbol used in code that hold the version number

PROJECT		= tcLex
PROJECT_VERSION	= 1.2
VERSION_DEFINE	= TCLEX_VERSION

# Object files
OBJS		= tcLex.o \
			tcLexRE.o

# MANS		= tclex.n

#-------------------------------------------------
INSTALL         = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA    = ${INSTALL} -m 644
CC              = cc
SHLIB_CFLAGS    = -fPIC
SHLIB_SUFFIX    = .so
SHLIB_LD        = cc -shared
TCL_PREFIX      = /usr
TCL_CFLAGS      = 
TCL_SRC_DIR	= /home/david/src/tcl8.0-8.0.4

INCLUDES        = -I$(TCL_SRC_DIR)/generic -I$(TCL_PREFIX)/include

DLL             = $(PROJECT)$(SHLIB_SUFFIX)
PROJECTDIR	= $(TCL_PREFIX)/lib/$(PROJECT)$(PROJECT_VERSION)

CFLAGS          = $(TCL_CFLAGS) $(SHLIB_CFLAGS) $(INCLUDES) \
		  -D$(VERSION_DEFINE)=\"$(PROJECT_VERSION)\"

MAN_INSTALL_DIR = $(TCL_PREFIX)/man/mann

all: $(DLL) pkgIndex.tcl

$(DLL): $(OBJS)
	$(SHLIB_LD) -o $@ $(OBJS)

pkgIndex.tcl:
	(if test -f $(PROJECTDIR)/pkgIndex.tcl; \
	    then grep -v $(PROJECT_VERSION) $(PROJECTDIR)/pkgIndex.tcl; \
	else true; fi;) | \
	echo 'package ifneeded $(PROJECT) $(PROJECT_VERSION) [list load [file join $$dir $(DLL).$(PROJECT_VERSION)] $(PROJECT)]' > pkgIndex.tcl

install: all
	if test ! -d $(PROJECTDIR); then mkdir $(PROJECTDIR); fi
	$(INSTALL_PROGRAM) $(DLL) $(PROJECTDIR)/$(DLL).$(PROJECT_VERSION)
	$(INSTALL_DATA) pkgIndex.tcl $(PROJECTDIR)/pkgIndex.tcl
#	$(INSTALL_DATA) $(MANS) $(MAN_INSTALL_DIR)/

test: all
	true

clean: 
	rm -f *.o core pkgIndex.tcl

distclean: clean
	rm -f Makefile config.* $(DLL)

=== debian/changelog ===
tclex (1.2a1-20) unstable; urgency=medium

  * Use /bin/echo to output pkgIndex.tcl for reproducibility (closes:
    #1101529).

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 29 Mar 2025 11:53:14 +0300

tclex (1.2a1-19) unstable; urgency=low

  * Add a patch which helps with building tcLex against a specific Tcl library.
  * Add a patch which allows one to use separate build directory to build
    the library.
  * Add a patch which ports tcLex to Tcl 9.
  * Build two versions of the library, one for Tcl 8.6, another for Tcl 9.0. 

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 27 Mar 2025 14:17:00 +0300

tclex (1.2a1-18) unstable; urgency=low

  * Drop doc-base support.
  * Bump debhelper compatibility version to 13.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 09 Mar 2025 23:24:27 +0300

tclex (1.2a1-17) unstable; urgency=low

  * Change the package priority to optional since extra is deprecated.
  * Add the Salsa VCS headers to debian/control.
  * Bump debhelper compatibility version to 10.
  * Bump standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 25 Mar 2018 14:30:29 +0300

tclex (1.2a1-16) unstable; urgency=low

  * Renamed the binary package to tcl-tclex to match the Debian Tcl/Tk policy.
  * Ported to Tcl 8.5 and 8.6.
  * Switched to 3.0 (quilt) source package format.
  * Bumped debhelper compatibility version to 8.
  * Bumped standards version to 3.9.4.
  * Put examples into the binary package.
  * Added ${misc:Depends} substitution variable to debian/control
  * Fixed copyright issues in debian/copyright.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 08 Sep 2013 17:57:04 +0400

tclex (1.2a1-15) unstable; urgency=low

  * Don't allow to load tcLex package into Tcl 8.5 and newer because of
    changes in Tcl internal structures which break binary compatibility.
    After Tcl 8.5 will become a default Tcl version tcLex will be rebuilt
    with 8.5 and will loose compatibility with 8.4 (closes: #487549).
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 18 Jul 2008 00:42:21 +0400

tclex (1.2a1-14) unstable; urgency=low

  * Fixed clean target to work with debhelper 7.0 (made dh_clean the last
    command, so debhelper logs are removed now).
  * Protected quilt invocation in debian/rules to make it possible to convert
    bwidget source package to 3.0 (quilt) format (closes: #484914).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 09 Jun 2008 21:01:32 +0400

tclex (1.2a1-13) unstable; urgency=low

  * Removed README.Debian because the information in it is no longer relevant.
  * Bumped standards version to 3.7.3.
  * Added a copyright notice.
  * Changed section in doc-base to Programming.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 18 May 2008 13:36:50 +0400

tclex (1.2a1-12) unstable; urgency=low

  * New maintainer Debian Tcl/Tk Packagers
    <pkg-tcltk-devel@lists.alioth.debian.org> (closes: #406135).
  * Adopted the package to the current Debian Tcl/Tk policy. This also fixed
    FTBFS (closes: #450474).
  * Fixed lintian complain on ignoring make distclean errors.
  * Switched to quilt for patch management.
  * Bumped debhelper compatibility level to 5.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 30 Nov 2007 20:41:40 +0300

tclex (1.2a1-11) unstable; urgency=low

  * QA upload.
  * Port to Tcl 8.4.  Closes: #420183.
    - src/tcLex.c: Use Command->flags instead of Command->deleted.
    - src/tcLex.c: Conform more closely to the Tcl_GetIndexFromObj(3tcl)
      prototype.
  * Remove unnecessary dependency on Tk.
  * debian/rules: Install changes.txt as the upstream changelog.
  * debian/changelog: Add colon after `closes' to placate Lintian.
  * debian/copyright: Update upstream URL.
  * debian/watch: Add.

 -- Matej Vela <vela@debian.org>  Fri, 20 Apr 2007 19:32:23 +0200

tclex (1.2a1-10) unstable; urgency=low

  * QA upload. (ACK NMU; Closes: #359579)
  * Set maintainer to QA Group; Orphaned: #406135
  * Bump compat level, depend on at least dh 4.0
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Tue, 23 Jan 2007 08:52:27 +0100

tclex (1.2a1-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link in postinst (Closes: #359579).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon, 17 Jul 2006 23:46:03 +0200

tclex (1.2a1-9) unstable; urgency=low

  * Changed dependencies to tcl/tk8.3 rather than 8.2.  Closes: #183802

 -- David A. van Leeuwen <vleeuwen@debian.org>  Sun, 28 Sep 2003 23:43:25 +0200

tclex (1.2a1-8) unstable testing; urgency=high

  * I _really_ need to get the change of 1.2a1-6 into testing or frozen 
    or whatever makes it go into woody.  Otherwise it leaves a broken 
    package transcriber!  Sorry for the messy uploads...   Do I have to
    file an RC bug against myself?

 -- David A. van Leeuwen <vleeuwen@debian.org>  Fri, 15 Mar 2002 17:26:49 +0100

tclex (1.2a1-7) unstable; urgency=low

  * changed priority from `optional' to `extra', in order to compy with
    override file. 
  
  * Changed typo in control, which actually closes: bug#125414, but hey,
    I'm not going to make this urgent.

  * Changed my email address.  Will this ever reduce spam?
  
 -- David A. van Leeuwen <vleeuwen@debian.org>  Fri, 15 Mar 2002 17:01:53 +0100

tclex (1.2a1-6) frozen; urgency=high

  * Changed build-dependency back to (tcl,tk)8.2-dev only, since `sid' has
    different location of tclConfig.sh than `woody'. (closes: Bug#125414)
  * Put ../tcl8.2/ in `file' variables in configure.in and configure, 
    for the same reason. 
 
 -- David A. van Leeuwen <vleeuwen@debian.org>  Mon, 11 Mar 2002 10:03:40 +0100

tclex (1.2a1-5testing) testing; urgency=high

  * Changed build-dependency on (tcl,tk)8.0-dev only, since `sid' has
    different location of tclConfig.sh than `woody'. (closes: Bug#125414)
  * Removed ../tcl8.0/ in `file' variables in configure.in and configure, 


=== debian/control ===
Source: tclex
Section: interpreters
Priority: optional
Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), tcl-dev, tcl8.6-dev, tcl9.0-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/tcltk-team/tclex
Vcs-Git: https://salsa.debian.org/tcltk-team/tclex.git

Package: tcl-tclex
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${tcl:Depends}, ${misc:Depends}
Conflicts: tclex
Replaces: tclex
Provides: tclex, tcl8.6-tclex (= ${binary:Version}), tcl9.0-tclex (= ${binary:Version})
Description: Lexical analyzer generator for Tcl
 tcLex is a lexer (lexical analyzer) generator extension to Tcl. It is
 inspired by Unix and GNU lex and flex, which are "tools for
 generating programs that perform pattern-matching on text". tcLex is
 very similar to these programs, except it uses Tcl philosophy and
 syntax, whereas the others use their own syntax and are used in
 conjunction with the C language. People used to lex or flex should
 then feel familiar with tcLex. tcLex is a small extension (the
 Windows compiled version is about 20kb, and the source is about
 150kb), because it extensively uses the Tcl library. However, the
 current doesn't use Tcl's regexp code anymore but a patched version
 is now included in tcLex, which makes it slightly bigger (by a few
 KB). tcLex should work with Tcl 8.0 and later.  tcLex will NEVER work
 with earlier versions, because it uses Tcl 8.0's "object" system for
 performance. The most interesting features are:
 .
  * cross-platform support, thanks to Tcl. Though it has been
    developed on Windows and tested on Windows and Unix only, it
    should work on other platforms as long as Tcl exists on these
    platforms. Supported Tcl platforms are Windows 95/NT, Unix (Linux,
    Solaris...) and Macintosh. Other platforms are VMS, OS/2,
    NeXTStep, Amiga...
 .
  * unlike lex and flex, which only generate static lexers written in
    C and intended to be compiled, tcLex dynamically generates Tcl
    commands that can be used like other C commands or Tcl procedures
    from within Tcl scripts or C programs.
 .
  * it uses Tcl regular expressions. That means you don't have to
    learn another regexp language.
 .
  * it works with Tcl namespaces
 .
  * the generated lexer commands can be used in one pass or
    incrementally, because they maintain state information. That way,
    several instances of the same lexer (eg a HTML parser) can run at
    the same time in distinct call frames and maintain distinct states
    (local variables...). Lexer need not be specially designed in
    order to be used incrementally, the same lexer can transparently
    be used in one pass or incrementally. This feature is especially
    useful when processing text from a file or an Internet socket (Web
    pages for example), when data is not necessarily available at the
    beginning of the processing.

=== debian/rules ===
#!/usr/bin/make -f

TCLVERSIONS = 8.6 9.0

PACKAGE=tcl-tclex
DIR=$(CURDIR)/debian/$(PACKAGE)
TMPDIR=$(CURDIR)/debian/tmp

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	for v in $(TCLVERSIONS) ; do \
		dh_auto_configure -B$(CURDIR)/debian/$$v \
				  -Dsrc -- \
				  --prefix=/usr \
				  --with-tcl=/usr/lib/tcl$$v ; \
	done

override_dh_auto_build:
	for v in $(TCLVERSIONS) ; do \
		$(MAKE) -C$(CURDIR)/debian/$$v ; \
	done

override_dh_auto_clean:
	for v in $(TCLVERSIONS) ; do \
		rm -rf $(CURDIR)/debian/$$v ; \
	done

override_dh_auto_install:
	for v in $(TCLVERSIONS) ; do \
		dh_auto_install -B$(CURDIR)/debian/$$v \
				-Dsrc -- \
				TCL_PREFIX=$(TMPDIR)/usr ; \
	done
	mkdir -p $(TMPDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(TMPDIR)/usr/lib/tc* $(TMPDIR)/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_installdocs:
	dh_installdocs
	# be an irritating wise-a** and change .htm in .html where possible
	for a in `cd doc/en; ls *.htm`; do \
	    cat doc/en/$$a | perl -pe 's/("\w+)\.htm\b/\1.html/g' \
		>$(DIR)/usr/share/doc/$(PACKAGE)/html/$${a}l ; \
	done

override_dh_gencontrol:
	tcltk-depends
	dh_gencontrol

.PHONY: override_dh_auto_configure override_dh_auto_build \
	override_dh_auto_clean override_dh_auto_install \
	override_dh_installexamples override_dh_gencontrol

=== debian/watch ===
version=3
http://membres.lycos.fr/fbonnet/pub/tcLex(.*)\.tar\.gz
